/*-----------------------------------------------------------------------
 * File: LENLEN.C
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#include "ber_der.h"

uint32 
BER_LengthOfLength(uint32 Length)
{
    uint32 temp;
    sint16 len;
    if (Length < 128) return 1; /* short form */
    temp = 1;   /* long form */
    for (len = 0; len < sizeof(uint32); len++) {
        if (Length < temp) break;
        temp = temp * 256;
    }
    return len + 1;
}
