/*-----------------------------------------------------------------------
 * File: SIGPARSE.C
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#ifndef _SIGPARSE_H_
#define _SIGPARSE_H_


/* CSSM includes */
#include "cssm.h"
#include "cssmspi.h"
#include "guids.h"
#include "cssmport.h"
#include "cssmutil.h"
#include <cssmMemTrack.h>

#include "assert.h"
#include "ber_der.h"

CSSM_RETURN PKCS_DSASigBSafe2PKCS( CSSM_DATA *pBSafe );
CSSM_RETURN PKCS_DSASigPKCS2BSafe( CSSM_DATA *pPKCS11 );
#endif /* of _SIGPARSE_H */
