/*-----------------------------------------------------------------------
 * File: ISL_MEMTRACK.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#ifndef ISL_MEMTRACK_H
#define ISL_MEMTRACK_H

#ifdef CSSM_MEMTRACK_ON

#define _CRTDBG_MAP_ALLOC
#include <crtdbg.h>

#define ISL_MALLOC_WRAPPER(s, t, u) (s)((t), (u), __FILE__, __LINE__)
#define ISL_CALLOC_WRAPPER(s, t, u, v) (s)((t) ,(u), (v), __FILE__, __LINE__)
#define ISL_REALLOC_WRAPPER(s, t, u, v) (s)((t), (u), (v), __FILE__, __LINE__)
#define ISL_FREE_WRAPPER(s, t, u) (s)((t), (u))

#else

#define ISL_MALLOC_WRAPPER(s, t, u) (s)((t), (u))
#define ISL_CALLOC_WRAPPER(s, t, u, v) (s)((t) ,(u), (v))
#define ISL_REALLOC_WRAPPER(s, t, u, v) (s)((t), (u), (v))
#define ISL_FREE_WRAPPER(s, t, u) (s)((t), (u))

#endif /* CSSM_MEMTRACK_ON */

#endif /* ISL_MEMTRACK_H */
