/*-----------------------------------------------------------------------
 * File: CONFIG.H
 *
 * Copyright (c) 1998-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */


#include "isltype.h"
#include "isl_cssm.h"
#include "cssmtype.h"

#ifdef __DECCXX
extern "C" {
#endif
ISL_STATUS ConfigureISL(ISL_ARCHIVE_CONFIG **pArchiveConfig,
						ISL_SIGNATURE_CONFIG **pSignatureConfig,
                        CSSM_GUID *CSPGuid,
                        ISL_CSSM_METHODS *pCSSMMethods);
void FreeISLResource(ISL_ARCHIVE_CONFIG *pArchiveConfig,
						ISL_SIGNATURE_CONFIG *pSignatureConfig);
#ifdef __DECCXX
}
#endif
