/*-----------------------------------------------------------------------
 * File: INTERNAL.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#ifndef SPKI_INTERNAL_H
#define SPKI_INTERNAL_H
/***************************************************************************/
/* MVLIST                                                                  */
/*                                                                         */
/* The MVLIST macro moves a list from one CSSM_LIST to another.            */
/* This isn't a copy, it's a move -- so there's always one owner.          */
/***************************************************************************/

#define MVLIST(t,f) {memcpy(t,f,sizeof(CSSM_LIST));init_list(f);}

CSSM_RETURN acltup2c( CSSM_TP_HANDLE TPHandle,
                      CSSM_TUPLE_PTR acltuple, 
                      CSSM_ENCODED_CERT *certptr);/* acltup2c.c*/

CSSM_RETURN certup2c( CSSM_TP_HANDLE TPHandle,
                      CSSM_TUPLE_PTR certuple, 
                      CSSM_ENCODED_CERT *certptr);/* certup2c.c */

#endif /* ifdef VMS comment out SPKI_INTERNAL_H */
