/*-----------------------------------------------------------------------
 * File: FUNCSTUBS.C
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#include "cspinc.h"

void ADDIN_CSM_GenerateMacError( CSM_SESSION *pSession )
{
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GenerateMac( CSM_SESSION *pSession,
                                  const CSSM_DATA *DataBufs,
                                  uint32 DataBufCount,
                                  CSSM_DATA *Mac )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GenerateMacInit( CSM_SESSION *pSession )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GenerateMacUpdate( CSM_SESSION *pSession,
                                        const CSSM_DATA *DataBufs,
                                        uint32 DataBufCount )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GenerateMacFinal( CSM_SESSION *pSession,
                                       CSSM_DATA *Mac )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

void ADDIN_CSM_VerifyMacError( CSM_SESSION *pSession )
{
}

CSSM_RETURN CSSMAPI ADDIN_CSM_VerifyMac( CSM_SESSION *pSession,
                                const CSSM_DATA *DataBufs,
                                uint32 DataBufCount,
                                const CSSM_DATA *Mac )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_VerifyMacInit( CSM_SESSION *pSession )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_VerifyMacUpdate( CSM_SESSION *pSession,
                                      const CSSM_DATA *DataBufs,
                                      uint32 DataBufCount )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_VerifyMacFinal( CSM_SESSION *pSession,
                                     const CSSM_DATA *Mac )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_PassThrough( CSM_SESSION *pSession,
                                  uint32 PassThroughId,
                                  const void *InData,
                                  void **OutData )
{
    CSSM_RETURN ret = CSSM_OK;

    switch( PassThroughId )
    {
    default:
        ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;
    }

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_Login(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_ACCESS_CREDENTIALS *AccessCred,
                        const CSSM_DATA *LoginName,
                        const void *Reserved )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_Logout( CSSM_CSP_HANDLE CSPHandle )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_ChangeLoginAcl(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_ACCESS_CREDENTIALS *AccessCred,
                        const CSSM_ACL_EDIT *AclEdit )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_RetrieveUniqueId( CSSM_CSP_HANDLE CSPHandle,
                                       CSSM_DATA *UniqueID )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_RetrieveCounter( CSSM_CSP_HANDLE CSPHandle,
                                      CSSM_DATA *Counter )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_VerifyDevice(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_DATA *DeviceCert )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GetTimeValue( CSSM_CSP_HANDLE CSPHandle,
                                   CSSM_ALGORITHMS TimeAlgorithm,
                                   CSSM_DATA *TimeData )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}


CSSM_RETURN CSSMAPI ADDIN_CSM_GetLoginAcl(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_STRING *SelectionTag,
                        uint32 *NumberOfAclInfos,
                        CSSM_ACL_ENTRY_INFO_PTR *AclInfos )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_ChangeKeyAcl(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_ACCESS_CREDENTIALS *AccessCred,
                        const CSSM_ACL_EDIT *AclEdit,
                        const CSSM_KEY *Key )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GetKeyOwner(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_KEY *Key,
                        CSSM_ACL_OWNER_PROTOTYPE_PTR Owner )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_ChangeKeyOwner(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_ACCESS_CREDENTIALS *AccessCred,
                        const CSSM_KEY *Key,
                        const CSSM_ACL_OWNER_PROTOTYPE *NewOwner )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_GetLoginOwner(
                        CSSM_CSP_HANDLE CSPHandle,
                        CSSM_ACL_OWNER_PROTOTYPE_PTR Owner )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}

CSSM_RETURN CSSMAPI ADDIN_CSM_ChangeLoginOwner(
                        CSSM_CSP_HANDLE CSPHandle,
                        const CSSM_ACCESS_CREDENTIALS *AccessCred,
                        const CSSM_ACL_OWNER_PROTOTYPE *NewOwner )
{
    CSSM_RETURN ret = CSSM_OK;

    ret = CSSMERR_CSP_FUNCTION_NOT_IMPLEMENTED;

    return ret;
}
