/*-----------------------------------------------------------------------
 * File: precomp.h
 *
 * Copyright (c) 1999-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

/*
 * INTEL CONFIDENTIAL 
 * This file, software, or program is supplied under the terms of a 
 * license agreement or nondisclosure agreement with Intel Corporation 
 * and may not be copied or disclosed except in accordance with the 
 * terms of that agreement. This file, software, or program contains 
 * copyrighted material and/or trade secret information of Intel 
 * Corporation, and must be treated as such. Intel reserves all rights 
 * in this material, except as the license agreement or nondisclosure 
 * agreement specifically indicate. 
 */


/*
 * This file contains headers for a dummy HRS addin.
 */


#ifndef _PRECOMP_H_
#define _PRECOMP_H_

/* general system includes */
#include <sys/types.h>
#include <sys/stat.h>


/* CDSA includes */
#define CSSM_LEAN
#include "cssm.h"
/*#include "cssmspi.h"
#include "hrstype.h"
#include "cssmhrsi.h"
*/
#include "hrs.h"

/* MDS includes */
#include "mds.h"
#include "mds_schema.h"


/* utility functions */
#include "cssmport.h"
#include "cssmlock.h"
#ifdef VMS
#include <mds_util.h>
#else
#include "../../../fwk/mds_util/mds_util.h"
#endif

/* MAF includes */
#include "maf_config.h"
#include "maf_integ.h"
#include "maf_collectn.h"
#include "maf_util.h"
#include "maf_interface.h"

#include "maf_include.h"


/* installer includes */
#include "intel/installdefs.h"


/* internal includes */
#include "hrspwbspi_err.h"


#endif
