/*-----------------------------------------------------------------------
 * File: EMMTYPE.H
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#ifndef _EMMTYPE_H
#define _EMMTYPE_H


/* these are the valid hint values for cssm_IsFuncCallValid */
#define CSSM_HINT_NONE (0)
#define CSSM_HINT_ADDRESS_APP (1)
#define CSSM_HINT_ADDRESS_SP (2)


typedef uint32 CSSM_MANAGER_EVENT_TYPES;
#define CSSM_MANAGER_SERVICE_REQUEST 1
#define CSSM_MANAGER_REPLY 2


typedef struct cssm_manager_event_notification {
	CSSM_SERVICE_MASK DestinationModuleManagerType;
	CSSM_SERVICE_MASK SourceModuleManagerType;
	CSSM_MANAGER_EVENT_TYPES Event;
	uint32 EventId;
	CSSM_DATA EventData;
} CSSM_MANAGER_EVENT_NOTIFICATION, *CSSM_MANAGER_EVENT_NOTIFICATION_PTR; 




#endif /* _EMMMTYPE_H */

