/*-----------------------------------------------------------------------
 * File: SHAPROC.C
 *
 * Copyright (c) 1995-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#include "eicl.h"

extern void __stdcall EICL_SHATransform(EICLWord *state,EICLWord *buffer);

int EICL_SHAProcess(EICLData *Message,EICLSHAState *SHAState)
{
 long int index,i,partlen,j;
 EICLWord k;
 
 index = (SHAState->count[0]>>3)& 0x3F;
 
/* Add length of message to the counter*/
 k = Message->length <<3;
 SHAState->count[0] +=k;
 if (SHAState->count[0] < k )  
      SHAState->count[1]++; 

 SHAState->count[1] += Message->length >>29;
 
 partlen = 64 - index;
 
 if (Message->length >= partlen)
 {
   for (i=0;i<partlen;i++)
        SHAState->buffer[i+index]=Message->value[i];

   EICL_SHATransform(SHAState->state, (EICLWord *)SHAState->buffer);

   for (i=partlen;i<Message->length-63;i+=64)
    EICL_SHATransform(SHAState->state, (EICLWord *)&Message->value[i]);
   index=0;    
 }
 else i=0;

  for (j=0;j<Message->length-i;j++)
     SHAState->buffer[index+j] = Message->value[i+j];
     
         
 return(0);
}
