/*-----------------------------------------------------------------------
 * File: EXTERNAL.H
 *
 * Copyright (c) 1998-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

#ifndef EXTERNAL_H
#define EXTERNAL_H
#ifndef VMS
#pragma warning (disable:4201 4514 4214 4115)
#endif
#include "isltype.h"
#ifndef VMS
#pragma warning (default:4201 4214 4115)
#endif
extern ISL_MEMORY_METHODS myMemoryMethods;
extern ISL_DIGEST_METHODS *gMyJarMD5HashMethods;
extern ISL_DIGEST_METHODS *gMyJarSHA1HashMethods;
extern ISL_DIGEST_METHODS *gMyPKCS7MD5HashMethods;
extern ISL_DIGEST_METHODS *gMyPKCS7SHA1HashMethods;
extern ISL_SIGN_VERIFY_METHODS *gMyDSAMethods;
extern ISL_SIGN_VERIFY_METHODS *gMyPKCS7DSAMethods;

typedef struct module_info	*MODULE_INFO_PTR;

typedef struct module_info {
	uint32 subServiceID;
	CSSM_VERSION version;
	CSSM_GUID guid;
	MODULE_INFO_PTR next;
}MODULE_INFO;


#endif /* EXTERNAL_H */
