/*-----------------------------------------------------------------------
 * File: MRMVERSION.CPP
 *
 * Copyright (c) 1998-2000 Intel Corporation. All rights reserved.
 *-----------------------------------------------------------------------
 */

// MRMVersion.cpp: implementation of the CMRMVersion class.
//
//////////////////////////////////////////////////////////////////////

#ifdef CSSM_MEMTRACK
#undef new
#include <crtdbg.h>
static char SZ_FILE_NAME[] = __FILE__;
#define new new(_NORMAL_BLOCK, SZ_FILE_NAME, __LINE__)  /*need space*/
#endif /* ifdef VMS comment this out - CSSM_MEMTRACK */

#include "MRMVersion.h"
#include <scMemTrack.h>

//////////////////////////////////////////////////////////////////////
// CMRMVersion::CMRMVersion()
//  constructs an empty CMRMVersion object
//
// Parameters:
//  none
// Returns:
//  none
// Side effects:
//  none
//////////////////////////////////////////////////////////////////////
CMRMVersion::CMRMVersion()
{
    mMinor = 0;
    mMajor = 0;
}


//////////////////////////////////////////////////////////////////////
// CMRMVersion::~CMRMVersion()
//  destructs a CMRMVersion object
//
// Parameters:
//  none
// Returns:
//  none
// Side effects:
//  none
//////////////////////////////////////////////////////////////////////
CMRMVersion::~CMRMVersion()
{

}

//////////////////////////////////////////////////////////////////////
// CMRMVersion::CMRMVersion(const CMRMVersion *version)
//  constructs a CMRMVersion object which is a copy of the one 
//  passed 
//
// Parameters:
//  version(input)         
//      pointer to the CMRMVersion object to copy
// Returns:
//  none
// Side effects:
//  none
//////////////////////////////////////////////////////////////////////
CMRMVersion::CMRMVersion(const CMRMVersion *version)
{
    mMajor = version->mMajor;
	mMinor = version->mMinor;
}
